@ECHO OFF
SETLOCAL
TITLE Introscope -- Configuring upon first package extraction

REM ****
REM Sets the current working directory with quotes around it
REM This enables this file to execute correctly if it is
REM invoked somewhere other than its location.
REM ****
FOR /f "tokens=1 delims=" %%a in ('cd') DO SET PWD=%%a

REM ****
REM Set the command directory to the command argument itself,
REM namely the full path of this file or the relative path
REM to where the file was invoked.
SET CMD_DIR=%0
REM Now simply strip out the name of this file to get dir
REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
REM        Use current filename
SET CMD_DIR=%CMD_DIR:configureScriptsEnv.cmd=%
REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
REM add quotes if they're not there
SET CMD_DIR="%CMD_DIR%"
REM if not add quotes, then this statement chokes
SET CMD_DIR=%CMD_DIR:"=%
IF NOT EXIST "%CMD_DIR%" SET CMD_DIR=.
IF "%CMD_DIR%" == %0 SET CMD_DIR=.
IF "%CMD_DIR%" == "%0" SET CMD_DIR=.

SET ENV_FILE=%CMD_DIR%\setIscEnv.cmd
ECHO ---------------------------------------
ECHO Wily Scripts Installer 
ECHO ---------------------------------------
ECHO This program configures the Wily Introscope package.
ECHO .
ECHO Note: Further custom configuration may be necessary.
ECHO .
ECHO Creating the Introscope Environment setup script...
ECHO REM Automatically created by configureWily.cmd on %date% %time%> "%ENV_FILE%"
SET ISC_HOME=%CMD_DIR%\..
ECHO REM >> "%ENV_FILE%"
ECHO REM Settings>> "%ENV_FILE%"
ECHO SET ISC_HOME=%ISC_HOME%>> "%ENV_FILE%"
ECHO SET ISC_CONFIG=%ISC_HOME%\config>> "%ENV_FILE%"
ECHO SET ISC_BIN=%ISC_HOME%\bin>> "%ENV_FILE%"
ECHO SET ISC_LIB=%ISC_HOME%\lib>> "%ENV_FILE%"
ECHO SET ISC_JAVA_HOME=%ISC_HOME%\jre>> "%ENV_FILE%"
ECHO SET ISC_LOGS=%ISC_HOME%\logs>> "%ENV_FILE%"
ECHO SET ISC_TRACES=%ISC_HOME%\traces>> "%ENV_FILE%"
ECHO SET ISC_REPORTS=%ISC_HOME%\reports>> "%ENV_FILE%"
ECHO SET ISC_FLATFILES=%ISC_HOME%\flatfiles>> "%ENV_FILE%"
ECHO SET ISC_WEBVIEW=%ISC_HOME%\WebView>> "%ENV_FILE%"
ECHO SET ISC_WEBVIEW_JDK_HOME=%ISC_HOME%\WebView\jdk1.4>> "%ENV_FILE%"
ECHO SET ISC_PBDS=%ISC_HOME%\config\systempbd>> "%ENV_FILE%"
ECHO SET ISC_PBDS_CUSTOM=%ISC_HOME%\config\custompbd>> "%ENV_FILE%"
ECHO SET CLW_JAR=%ISC_HOME%\lib\CLWorkstation.jar>> "%ENV_FILE%"
ECHO SET CLW_USER_OPT=-Duser=Admin>> "%ENV_FILE%"
ECHO SET CLW_PASSWORD_OPT=-Dpassword=>> "%ENV_FILE%"
ECHO SET CLW_EM_HOST_OPT=-Dhost=localhost>> "%ENV_FILE%"
ECHO SET CLW_EM_PORT_OPT=-Dport=4500>> "%ENV_FILE%"
ECHO SET DATACASTER_JAR=%ISC_HOME%\DataCaster\datacaster.jar>> "%ENV_FILE%"

:done

ECHO .
ECHO Done.
pause
