@ECHO OFF
SETLOCAL
TITLE Introscope -- Datacaster Daily Reporting for Yesterday

REM ****
REM Sets the current working directory with quotes around it
REM This enables this file to execute correctly if it is
REM invoked somewhere other than its location.
REM ****
FOR /f "tokens=1 delims=" %%a in ('cd') DO SET PWD=%%a

REM ****
REM Set the command directory to the command argument itself,
REM namely the full path of this file or the relative path
REM to where the file was invoked.
SET CMD_DIR=%0
REM Now simply strip out the name of this file to get dir
REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
REM        Use current filename
SET CMD_DIR=%CMD_DIR:datacasterDaily.cmd=%
REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
REM Strip the quotes
REM add quotes if they're not there
SET CMD_DIR="%CMD_DIR%"
REM if not add quotes, then this statement chokes
SET CMD_DIR=%CMD_DIR:"=%
REM if the current dir wasn't determined, just set it to working dir
IF NOT EXIST "%CMD_DIR%" SET CMD_DIR=.
IF "%CMD_DIR%" == %0 SET CMD_DIR=.
IF "%CMD_DIR%" == "%0" SET CMD_DIR=.

REM ****
REM Now set the home directory for Introscope, and others
IF NOT EXIST "%CMD_DIR%\setIscEnv.cmd" goto noSetEnvFile
call "%CMD_DIR%\setIscEnv.cmd"

REM Java Options (e.g. increase Max heap size )
SET JAVA_OPTS=-Xms64m -Xmx256m
SET TEMPLATE=%ISC_CONFIG%\datacaster\generic.template
SET HOST=hostname
SET PROCESS=App Server
SET AGENT=Agent
SET JAVA_OPTS=%JAVA_OPTS% -Djava.awt.headless=true 
SET ARGS=--report -template "%TEMPLATE%" -archivedir "%ISC_FLATFILES%\Archive" -host %HOST% -process "%PROCESS%" -agent "%AGENT%" -yesterday

@ECHO ON
"%ISC_JAVA_HOME%\bin\java" %JAVA_OPTS% -jar "%DATACASTER_JAR%" %ARGS%
@ECHO OFF
goto finish

:noSetEnvFile
ECHO There is no environment setup file: setIscEnv.cmd
ECHO Please re-run configureWily.cmd in installation directory!
goto finish

:finish
ENDLOCAL
