@ECHO OFF
SETLOCAL
TITLE Introscope -- Purge high frequency, outdated data

REM Tool: EMDBCleanup
REM Description: 
REM A standalone java program that prunes the Enterprise Manager database.  
REM It is intended to work with a persistent collection scheme that stores 
REM various resolutions of the same data; It will delete old data on schedule, 
REM perhaps keeping 7 days of 60s data, 1 month of hourly data and 1 year 
REM of day resolution data. This is a simple warehousing technique. 
REM It reads the IntroscopeEnterpriseManager.properties to get the 
REM database connection properties. It is intended to run on the same 
REM host as the Enterprise Manager, but this is not necessary. 

REM Edit the cleaner properties file 
REM	%ISC_HOME%/config/EMDBCleanup.properties
REM to specify the cleanup schedule and data storage durations.

REM ****
REM Sets the current working directory with quotes around it
REM This enables this file to execute correctly if it is
REM invoked somewhere other than its location.
REM ****
FOR /f "tokens=1 delims=" %%a in ('cd') DO SET PWD=%%a

REM ****
REM Set the command directory to the command argument itself,
REM namely the full path of this file or the relative path
REM to where the file was invoked.
SET CMD_DIR=%0
REM Now simply strip out the name of this file to get dir
REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
REM        Use current filename
SET CMD_DIR=%CMD_DIR:emDBCleanup.cmd=%
REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
REM Strip the quotes
REM add quotes if they're not there
SET CMD_DIR="%CMD_DIR%"
REM if not add quotes, then this statement chokes
SET CMD_DIR=%CMD_DIR:"=%
REM if the current dir wasn't determined, just set it to working dir
IF NOT EXIST "%CMD_DIR%" SET CMD_DIR=.
IF "%CMD_DIR%" == %0 SET CMD_DIR=.
IF "%CMD_DIR%" == "%0" SET CMD_DIR=.

REM ****
REM Now set the home directory for Introscope, and others
IF NOT EXIST "%CMD_DIR%\setIscEnv.cmd" goto noSetEnvFile
call "%CMD_DIR%\setIscEnv.cmd"

SET DRIVER=%ISC_LIB%\hsqldb.jar

cd "%ISC_HOME%"
@ECHO ON
"%ISC_JAVA_HOME%\bin\java" -cp "%ISC_LIB%\cleaner.jar;%DRIVER%" com.wily.tools.emdbcleanup.TheCleaner "%ISC_CONFIG%\IntroscopeEnterpriseManager.properties" "%ISC_CONFIG%\EMDBCleanup.properties"
@ECHO OFF
goto finish

:noSetEnvFile
ECHO There is no environment setup file: setIscEnv.cmd
ECHO Please re-run configureWily.cmd in installation directory!
goto finish

:finish
ENDLOCAL
