@ECHO OFF
SETLOCAL
TITLE Introscope -- Playing Back Agent Flatfiles

REM ****
REM Sets the current working directory with quotes around it
REM This enables this file to execute correctly if it is
REM invoked somewhere other than its location.
REM ****
FOR /f "tokens=1 delims=" %%a in ('cd') DO SET PWD=%%a

REM ****
REM Set the command directory to the command argument itself,
REM namely the full path of this file or the relative path
REM to where the file was invoked.
SET CMD_DIR=%0
REM Now simply strip out the name of this file to get dir
REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
REM        Use current filename
SET CMD_DIR=%CMD_DIR:playbackAgent.cmd=%
REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
REM add quotes if they're not there
SET CMD_DIR="%CMD_DIR%"
REM if not add quotes, then this statement chokes
SET CMD_DIR=%CMD_DIR:"=%
REM if the current dir wasn't determined, just set it to working dir
IF NOT EXIST "%CMD_DIR%" SET CMD_DIR=.
IF "%CMD_DIR%" == %0 SET CMD_DIR=.
IF "%CMD_DIR%" == "%0" SET CMD_DIR=.

REM ****
REM Now set the home directory for Introscope, and others
IF NOT EXIST "%CMD_DIR%\setIscEnv.cmd" goto noSetEnvFile
call "%CMD_DIR%\setIscEnv.cmd"

SET DIR=%1
REM remove the quotes if there
if not defined DIR call "%CMD_DIR%\getPlaybackDir.cmd"
if defined DIR SET DIR=%DIR:"=%

if exist "%DIR%" (SET ISC_FLATFILES=%DIR%) else (goto noDirectory)

SET JAVA_OPTS=-classpath "%ISC_LIB%\Agent.jar;%ISC_LIB%\PlaybackAgent.jar"
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.wily.introscope.agentProfile="%ISC_CONFIG%\PlaybackAgent.profile"

ECHO Playback back agents from flatfiles in: %ISC_FLATFILES%
ECHO .
@ECHO on
"%ISC_JAVA_HOME%\bin\java" %JAVA_OPTS% PlaybackAgent "%ISC_FLATFILES%"
@ECHO OFF

goto finish 

:noDirectory
ECHO Directory does not exist: %DIR%
goto finish

:noSetEnvFile
ECHO There is no environment setup file: setIscEnv.cmd
ECHO Please re-run configureWily.cmd in installation directory!
goto finish

:finish
pause
ENDLOCAL
